---
title: RTCPeerConnectionIceEvent()
slug: Web/API/RTCPeerConnectionIceEvent/RTCPeerConnectionIceEvent
tags:
  - API
  - Constructor
  - Experimental
  - RTCPeerConnectionIceEvent
  - Reference
  - WebRTC
---
<p>{{APIRef("WebRTC")}}{{SeeCompatTable}}</p>

<p>The <code><strong>RTCPeerConnectionIceEvent()</strong></code> constructor creates a new {{domxref("RTCPeerConnectionIceEvent")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"> var event = new RTCPeerConnectionIceEvent(<em>type</em>, <em>options</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>type</code></dt>
 <dd>Is a {{domxref("DOMString")}} containing the name of the event, like <code>"icecandidate"</code>.</dd>
 <dt><code>options</code></dt>
 <dd>A dictionary of type <code>RTCPeerConnectionInit</code>, which may contain one or more of the following fields:
 <ul>
  <li><code>"candidate"</code> (optional, default is <code>null</code>): A {{domxref("RTCIceCandidate")}} representing the ICE candidate being concerned by the event.  If <code>null</code>, the event indicates the end of candidate gathering.</li>
  <li><code>"url"</code> (optional, default is <code>null</code>): The URL of the STUN or TURN server which was used to gather the candidate. If the candidate was not gathered by a {{Glossary("STUN")}} or {{Glossary("TURN")}} server, this value must be <code>null</code>.</li>
  <li><code>"bubbles"</code> (optional, default is <code>false</code>): Inherited from <code>EventInit()</code>, this Boolean option indicates whether or not the event must bubble.</li>
  <li><code>"cancelable"</code> (optional, default is <code>false</code>, inherited from <code>EventInit()</code>, this Boolean indicates whether or not the event can be canceled.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A newly-created {{domxref("RTCPeerConnectionIceEvent")}}, configured as specified in the provided options.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-rtcpeerconnectioniceevent-constructor', 'RTCPeerConnectionIceEvent()') }}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnectionIceEvent.RTCPeerConnectionIceEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC" title="/en-US/docs/CSS/Using_CSS_animations">WebRTC</a></li>
 <li>Its usual target: {{domxref("RTCPeerConnection")}}.</li>
</ul>
